For the complete documentation index, see llms.txt. This page is also available as Markdown.

deleteCard

Perform various delete operations on card records.

Symitar eDocs References: Coming soon.

Operations

deleteCard

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteCard
POST /nexum/627/2022.01/account/deleteCard HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 181

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteCard"
}

deleteCardAccess

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardAccessLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteCardAccess
POST /nexum/627/2022.01/account/deleteCardAccess HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardAccessLocator": 20,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteCardAccess"
}

deleteCardName

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardNameLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteCardName
POST /nexum/627/2022.01/account/deleteCardName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNameLocator": 21,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteCardName"
}

deleteCardNote

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteCardNote
POST /nexum/627/2022.01/account/deleteCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNoteLocator": 19,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteCardNote"
}

Last updated

Was this helpful?